%{?nodejs_find_provides_and_requires}

%global packagename touch

# Tests disabled because npm(tap) in Fedora is too old, and newer
# versions of npm(tap) depend on this module
%global enable_tests 0

Name:		nodejs-touch
Version:	3.1.0
Release:	2%{?dist}
Summary:	Like touch(1) in node

License:	ISC
URL:		https://github.com/isaacs/node-touch.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Like touch(1) in node


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep nopt

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/nodetouch.js \
    %{buildroot}%{_bindir}/nodetouch

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/tap test/*.js --100
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/nodetouch

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 21 2018 Jared K. Smith <jsmith@fedoraproject.org> - 3.1.0-1
- Initial packaging
